import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/guangxinhu/f103aa2dfabfb7a6c1feff1191b45af0/raw/a89e0ccee44ebdb1d1e0b9fda188fbbdbee18fa3/Global%2520Earthquake%2520Database'
const row = d => {
  d.Latitude = +d.Latitude;
  d.Longitude = +d.Longitude;
  return d;
};
export const useDataEarthquake = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};